Package com.sun.jna.platform.win32

# Class WinDef.SCODE

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.WinDef.ULONG
com.sun.jna.platform.win32.WinDef.SCODE

All Implemented Interfaces:
  `NativeMapped`, `Serializable`, `Comparable<WinDef.ULONG>`

Enclosing interface:
  WinDef

public static class WinDef.SCODE extends WinDef.ULONG
The Class SCODE.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.sun.jna.platform.win32.WinDef.ULONG

`SIZE`

## Constructor Summary

Constructors
Constructor
Description
`SCODE()`
Instantiates a new SCODE.
`SCODE(long value)`
Instantiates a new SCODE.

## Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinDef.ULONG

`compareTo`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SCODE

public SCODE()
Instantiates a new SCODE.

### SCODE

public SCODE(long value)
Instantiates a new SCODE.

Parameters:
  `value` - the value